import { EngineOptions, Expression } from './types';
export declare class JsonTemplateEngine {
    private readonly fn;
    private constructor();
    static create(templateOrExpr: string | Expression, options?: EngineOptions): JsonTemplateEngine;
    static createAsSync(templateOrExpr: string | Expression, options?: EngineOptions): JsonTemplateEngine;
    private static compileAsSync;
    private static compileAsAsync;
    static parse(template: string, options?: EngineOptions): Expression;
    static translate(templateOrExpr: string | Expression, options?: EngineOptions): string;
    private static translateTemplate;
    private static translateExpression;
    evaluate(data: any, bindings?: Record<string, any>): any;
}
//# sourceMappingURL=engine.d.ts.map